> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Event

> PUT /events/{id}

`PUT /events/{id}`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

| Name | In   | Type   | Required |
| ---- | ---- | ------ | -------- |
| `id` | path | string | Yes      |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `404`  | Not Found   |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json PUT /events/{id}`


## OpenAPI

````yaml /openapi/crm.json PUT /events/{id}
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /events/{id}:
    put:
      tags:
        - Events
      summary: Update Event
      operationId: put_events_id
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                personId:
                  type: string
                noteId:
                  type: string
                propertyId:
                  type: string
                message:
                  type: string
                description:
                  type: string
                source:
                  type: string
                system:
                  type: string
                type:
                  type: string
                pageTitle:
                  type: string
                pageUrl:
                  type: string
                pageReferrer:
                  type: string
                pageDuration:
                  type: number
                occurredAt:
                  type: string
                additionalAttributes: {}
                property:
                  anyOf:
                    - type: object
                      properties:
                        id:
                          type: number
                        street:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        code:
                          type: string
                        mlsNumber:
                          type: string
                        price:
                          anyOf:
                            - type: number
                            - anyOf:
                                - type: string
                              nullable: true
                        forRent:
                          type: number
                        url:
                          anyOf:
                            - type: string
                          nullable: true
                        type:
                          type: string
                        bedrooms:
                          anyOf:
                            - type: string
                          nullable: true
                        bathrooms:
                          anyOf:
                            - type: string
                          nullable: true
                        area:
                          anyOf:
                            - type: string
                          nullable: true
                        lot:
                          anyOf:
                            - type: string
                          nullable: true
                        lat:
                          anyOf:
                            - type: number
                          nullable: true
                        lng:
                          anyOf:
                            - type: number
                          nullable: true
                      required:
                        - street
                        - city
                        - state
                    - type: object
                      properties:
                        address:
                          type: string
                        price:
                          type: number
                        beds:
                          type: number
                        baths:
                          type: number
                        sqft:
                          type: number
                propertySearch:
                  type: object
                  properties:
                    minPrice:
                      type: number
                    maxPrice:
                      type: number
                    beds:
                      type: number
                    minBaths:
                      type: number
                    maxBaths:
                      type: number
                    minSqft:
                      type: number
                    maxSqft:
                      type: number
                    minLotSize:
                      type: number
                    maxLotSize:
                      type: number
                    minYearBuilt:
                      type: number
                    maxYearBuilt:
                      type: number
                    minDaysOnSite:
                      type: number
                    maxDaysOnSite:
                      type: number
                    listingStatus:
                      type: string
                    location:
                      type: string
                    propertyType:
                      type: string
          multipart/form-data:
            schema:
              type: object
              properties:
                personId:
                  type: string
                noteId:
                  type: string
                propertyId:
                  type: string
                message:
                  type: string
                description:
                  type: string
                source:
                  type: string
                system:
                  type: string
                type:
                  type: string
                pageTitle:
                  type: string
                pageUrl:
                  type: string
                pageReferrer:
                  type: string
                pageDuration:
                  type: number
                occurredAt:
                  type: string
                additionalAttributes: {}
                property:
                  anyOf:
                    - type: object
                      properties:
                        id:
                          type: number
                        street:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        code:
                          type: string
                        mlsNumber:
                          type: string
                        price:
                          anyOf:
                            - type: number
                            - anyOf:
                                - type: string
                              nullable: true
                        forRent:
                          type: number
                        url:
                          anyOf:
                            - type: string
                          nullable: true
                        type:
                          type: string
                        bedrooms:
                          anyOf:
                            - type: string
                          nullable: true
                        bathrooms:
                          anyOf:
                            - type: string
                          nullable: true
                        area:
                          anyOf:
                            - type: string
                          nullable: true
                        lot:
                          anyOf:
                            - type: string
                          nullable: true
                        lat:
                          anyOf:
                            - type: number
                          nullable: true
                        lng:
                          anyOf:
                            - type: number
                          nullable: true
                      required:
                        - street
                        - city
                        - state
                    - type: object
                      properties:
                        address:
                          type: string
                        price:
                          type: number
                        beds:
                          type: number
                        baths:
                          type: number
                        sqft:
                          type: number
                propertySearch:
                  type: object
                  properties:
                    minPrice:
                      type: number
                    maxPrice:
                      type: number
                    beds:
                      type: number
                    minBaths:
                      type: number
                    maxBaths:
                      type: number
                    minSqft:
                      type: number
                    maxSqft:
                      type: number
                    minLotSize:
                      type: number
                    maxLotSize:
                      type: number
                    minYearBuilt:
                      type: number
                    maxYearBuilt:
                      type: number
                    minDaysOnSite:
                      type: number
                    maxDaysOnSite:
                      type: number
                    listingStatus:
                      type: string
                    location:
                      type: string
                    propertyType:
                      type: string
          text/plain:
            schema:
              type: object
              properties:
                personId:
                  type: string
                noteId:
                  type: string
                propertyId:
                  type: string
                message:
                  type: string
                description:
                  type: string
                source:
                  type: string
                system:
                  type: string
                type:
                  type: string
                pageTitle:
                  type: string
                pageUrl:
                  type: string
                pageReferrer:
                  type: string
                pageDuration:
                  type: number
                occurredAt:
                  type: string
                additionalAttributes: {}
                property:
                  anyOf:
                    - type: object
                      properties:
                        id:
                          type: number
                        street:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        code:
                          type: string
                        mlsNumber:
                          type: string
                        price:
                          anyOf:
                            - type: number
                            - anyOf:
                                - type: string
                              nullable: true
                        forRent:
                          type: number
                        url:
                          anyOf:
                            - type: string
                          nullable: true
                        type:
                          type: string
                        bedrooms:
                          anyOf:
                            - type: string
                          nullable: true
                        bathrooms:
                          anyOf:
                            - type: string
                          nullable: true
                        area:
                          anyOf:
                            - type: string
                          nullable: true
                        lot:
                          anyOf:
                            - type: string
                          nullable: true
                        lat:
                          anyOf:
                            - type: number
                          nullable: true
                        lng:
                          anyOf:
                            - type: number
                          nullable: true
                      required:
                        - street
                        - city
                        - state
                    - type: object
                      properties:
                        address:
                          type: string
                        price:
                          type: number
                        beds:
                          type: number
                        baths:
                          type: number
                        sqft:
                          type: number
                propertySearch:
                  type: object
                  properties:
                    minPrice:
                      type: number
                    maxPrice:
                      type: number
                    beds:
                      type: number
                    minBaths:
                      type: number
                    maxBaths:
                      type: number
                    minSqft:
                      type: number
                    maxSqft:
                      type: number
                    minLotSize:
                      type: number
                    maxLotSize:
                      type: number
                    minYearBuilt:
                      type: number
                    maxYearBuilt:
                      type: number
                    minDaysOnSite:
                      type: number
                    maxDaysOnSite:
                      type: number
                    listingStatus:
                      type: string
                    location:
                      type: string
                    propertyType:
                      type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  noteId:
                    anyOf:
                      - type: string
                    nullable: true
                  propertyId:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    type: string
                  updated:
                    type: string
                  rolloutUpdated:
                    type: string
                  occurredAt:
                    anyOf:
                      - type: string
                    nullable: true
                  message:
                    type: string
                  description:
                    type: string
                  source:
                    type: string
                  system:
                    type: string
                  type:
                    type: string
                  pageTitle:
                    type: string
                  pageUrl:
                    type: string
                  pageReferrer:
                    type: string
                  pageDuration:
                    anyOf:
                      - type: number
                    nullable: true
                  property:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  propertySearch:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  additionalAttributes:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - noteId
                  - propertyId
                  - created
                  - updated
                  - rolloutUpdated
                  - occurredAt
                  - message
                  - description
                  - source
                  - system
                  - type
                  - pageTitle
                  - pageUrl
                  - pageReferrer
                  - pageDuration
                  - property
                  - propertySearch
                  - additionalAttributes
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  noteId:
                    anyOf:
                      - type: string
                    nullable: true
                  propertyId:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    type: string
                  updated:
                    type: string
                  rolloutUpdated:
                    type: string
                  occurredAt:
                    anyOf:
                      - type: string
                    nullable: true
                  message:
                    type: string
                  description:
                    type: string
                  source:
                    type: string
                  system:
                    type: string
                  type:
                    type: string
                  pageTitle:
                    type: string
                  pageUrl:
                    type: string
                  pageReferrer:
                    type: string
                  pageDuration:
                    anyOf:
                      - type: number
                    nullable: true
                  property:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  propertySearch:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  additionalAttributes:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - noteId
                  - propertyId
                  - created
                  - updated
                  - rolloutUpdated
                  - occurredAt
                  - message
                  - description
                  - source
                  - system
                  - type
                  - pageTitle
                  - pageUrl
                  - pageReferrer
                  - pageDuration
                  - property
                  - propertySearch
                  - additionalAttributes
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  noteId:
                    anyOf:
                      - type: string
                    nullable: true
                  propertyId:
                    anyOf:
                      - type: string
                    nullable: true
                  created:
                    type: string
                  updated:
                    type: string
                  rolloutUpdated:
                    type: string
                  occurredAt:
                    anyOf:
                      - type: string
                    nullable: true
                  message:
                    type: string
                  description:
                    type: string
                  source:
                    type: string
                  system:
                    type: string
                  type:
                    type: string
                  pageTitle:
                    type: string
                  pageUrl:
                    type: string
                  pageReferrer:
                    type: string
                  pageDuration:
                    anyOf:
                      - type: number
                    nullable: true
                  property:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  propertySearch:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  additionalAttributes:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - personId
                  - noteId
                  - propertyId
                  - created
                  - updated
                  - rolloutUpdated
                  - occurredAt
                  - message
                  - description
                  - source
                  - system
                  - type
                  - pageTitle
                  - pageUrl
                  - pageReferrer
                  - pageDuration
                  - property
                  - propertySearch
                  - additionalAttributes
                  - originalIds
                  - original
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````